<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen
  xmlns:android="http://schemas.android.com/apk/res/android" xmlns:app="http://schemas.android.com/apk/res-auto">
    <com.moji.mjweather.settingpreference.pref.MJPreferenceCategory android:title="开发者模式">
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithSwitchButton android:title="开发者模式开关" android:key="@string/setting_develop_console_develop_mode" android:summary="开启开发者模式后，bug 少多了" android:defaultValue="false" />
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithValue android:title="打开上次选择的Activity" android:key="@string/setting_develop_console_open_last_activity" android:dependency="setting_develop_console_develop_mode" />
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithValue android:title="应用启动后 打开指定 Activity" android:key="@string/start_app_config" android:dependency="setting_develop_console_develop_mode" />
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithSwitchButton android:title="在非定位城市显示 AQI 相机" android:key="@string/setting_develop_show_aqi_camera_all_city" android:dependency="setting_develop_console_develop_mode" android:defaultValue="false" />
    </com.moji.mjweather.settingpreference.pref.MJPreferenceCategory>
    <com.moji.mjweather.settingpreference.pref.MJPreferenceCategory android:title="推送">
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithValue android:title="推送一条通知" android:key="@string/setting_develop_console_send_push" />
    </com.moji.mjweather.settingpreference.pref.MJPreferenceCategory>
    <com.moji.mjweather.settingpreference.pref.MJPreferenceCategory android:title="开关">
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithSwitchButton android:title="使用测试服务器地址" android:key="@string/setting_develop_console_use_test_host" android:defaultValue="false" />
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithSwitchButton android:title="地图上是否显示当前缩放级别" android:key="@string/setting_develop_show_map_zoom" android:defaultValue="false" />
    </com.moji.mjweather.settingpreference.pref.MJPreferenceCategory>
    <com.moji.mjweather.settingpreference.pref.MJPreferenceCategory android:title="H5调用Native相机">
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithSwitchButton android:title="H5Native 调度设置" android:key="setting_develop_console_h5_native_camera" android:defaultValue="false" />
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithSwitchButton android:title="H5Activity 调度设置" android:key="setting_develop_console_h5_native_activitys" android:defaultValue="false" />
    </com.moji.mjweather.settingpreference.pref.MJPreferenceCategory>
    <com.moji.mjweather.settingpreference.pref.MJPreferenceCategory android:title="输入测试">
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithValue android:title="WebView输入网址测试" android:key="setting_develop_console_web_activity_test" />
    </com.moji.mjweather.settingpreference.pref.MJPreferenceCategory>
    <com.moji.mjweather.settingpreference.pref.MJPreferenceCategory android:title="高级">
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithValue android:title="清除应用数据" android:key="@string/setting_develop_console_clear_data" />
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithSwitchButton android:title="LeakCanary开关" android:key="@string/setting_develop_console_leakcanary_off" android:summary="只在Debug版本生效，其他版本无LeakCanary" android:defaultValue="true" />
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithSwitchButton android:title="BlockCanary开关" android:key="@string/setting_develop_console_blockcanary_off" android:summary="只在Debug版本生效，其他版本无BlockCanary" android:defaultValue="true" />
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithSwitchButton android:title="FPS显示开关" android:key="@string/setting_develop_console_fps_off" android:summary="@string/open_fps_failed_version" android:defaultValue="false" />
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithSwitchButton android:title="SceneInfo开关" android:key="@string/setting_develop_console_scene_info" android:summary="SceneDebug信息" android:defaultValue="false" />
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithSwitchButton android:title="模拟定位开关" android:key="@string/setting_develop_console_mock_location" android:summary="允许模拟定位" android:defaultValue="false" />
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithValue android:title="获取日志信息" android:key="@string/setting_develop_console_share_log" />
    </com.moji.mjweather.settingpreference.pref.MJPreferenceCategory>
    <com.moji.mjweather.settingpreference.pref.MJPreferenceCategory android:title="广告">
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithSwitchButton android:title="广告使用测试服务器地址" android:key="@string/setting_develop_console_use_ad_test_host_port" android:defaultValue="false" />
        <com.moji.mjweather.settingpreference.pref.MJPreferenceWithValue android:title="广告测试服务器地址设置" android:key="@string/setting_develop_console_ad_test_host_index" android:dependency="setting_develop_console_use_ad_test_host_port" android:defaultValue="0" />
    </com.moji.mjweather.settingpreference.pref.MJPreferenceCategory>
</PreferenceScreen>